## kdepim-runtime 25.08.1+p24.04+vstable+git20250926.1145

=== debian/changelog ===
kdepim-runtime (4:25.08.1+p24.04+vstable+git20250926.1145-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Sep 2025 11:45:23 +0000

kdepim-runtime (4:25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:15:50 +0000

kdepim-runtime (4:25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 13:30:00 +0000

kdepim-runtime (4:25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 12:13:33 +0000

kdepim-runtime (4:25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 11:13:21 +0000

kdepim-runtime (4:25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 05:03:24 +0000

kdepim-runtime (4:25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 12:04:52 +0000

kdepim-runtime (4:24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 14:26:23 +0000

kdepim-runtime (4:24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 15:19:15 +0000

kdepim-runtime (4:24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 20:10:12 +0000

kdepim-runtime (4:24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 19:06:58 +0000

kdepim-runtime (4:24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 11:07:07 +0000

kdepim-runtime (4:24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:44:57 +0000

kdepim-runtime (4:24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 08:20:55 +0000

kdepim-runtime (4:24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 10:25:48 +0000

kdepim-runtime (4:24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 12:02:14 +0000

kdepim-runtime (4:24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:25:09 +0000

kdepim-runtime (4:24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 04:14:11 +0000

kdepim-runtime (4:23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 15:07:50 +0000

kdepim-runtime (4:23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:48:40 +0000

kdepim-runtime (4:23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Nov 2023 16:15:13 +0000

kdepim-runtime (4:23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:23:53 +0000

kdepim-runtime (4:23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 13 Sep 2023 21:59:58 +0000

kdepim-runtime (4:23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:55:00 +0000

kdepim-runtime (4:23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2023 05:35:48 +0000

kdepim-runtime (4:22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 13:10:53 +0000

kdepim-runtime (4:22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:44:26 +0000

kdepim-runtime (4:22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 16:22:31 +0000

kdepim-runtime (4:22.12.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Dec 2022 12:27:45 +0000

kdepim-runtime (4:22.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Nov 2022 09:48:44 +0000

kdepim-runtime (4:22.08.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2022 18:15:58 +0000

kdepim-runtime (4:22.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:51:07 +0000

kdepim-runtime (4:22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:37:45 +0000

kdepim-runtime (4:22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 21:02:50 +0000

kdepim-runtime (4:22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:56:30 +0000

kdepim-runtime (4:22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 13:07:50 +0000

kdepim-runtime (4:21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 11:04:46 +0000

kdepim-runtime (4:21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 11:02:32 +0000

kdepim-runtime (4:21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:09:31 +0000

kdepim-runtime (4:21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:32:15 +0000

kdepim-runtime (4:21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Aug 2021 12:29:23 +0000

kdepim-runtime (4:21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:53:32 +0000

kdepim-runtime (4:21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 12:03:25 +0000

kdepim-runtime (4:21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:54:07 +0000

kdepim-runtime (4:21.04.0-0neon) focal; urgency=medium



## kdepim-runtime 25.08.1+p24.04+vstable+git20250928.1353

=== debian/changelog ===
kdepim-runtime (4:25.08.1+p24.04+vstable+git20250928.1353-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 28 Sep 2025 13:53:28 +0000

## kdepim-runtime 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "6.5.2")
set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})

set(KDEPIM_DEV_VERSION)
set(RELEASE_SERVICE_VERSION "25.08.2")

# add an extra space
if(DEFINED KDEPIM_DEV_VERSION)
    set(KDEPIM_DEV_VERSION " ${KDEPIM_DEV_VERSION}")
endif()

set(KDEPIM_RUNTIME_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}${KDEPIM_DEV_VERSION} (${RELEASE_SERVICE_VERSION})")

configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)

set(KF_MIN_VERSION "6.14.0")

find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMSetupVersion)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(GenerateExportHeader)

set(QT_REQUIRED_VERSION "6.8.0")

set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
set(KDEPIMRUNTIME_LIB_SOVERSION "6")
set(AKONADI_VERSION "6.5.2")

set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
set(CALENDARUTILS_LIB_VERSION "6.5.2")
set(KIMAP_LIB_VERSION "6.5.2")
set(KMBOX_LIB_VERSION "6.5.2")
set(AKONADICALENDAR_LIB_VERSION "6.5.2")
set(KMIME_LIB_VERSION "6.5.2")
set(AKONADIMIME_LIB_VERSION "6.5.2")
set(AKONADICONTACT_LIB_VERSION "6.5.2")
set(KGAPI_LIB_VERSION "6.5.2")
set(KLDAP_LIB_VERSION "6.5.2")
set(KTEXTADDONS_MIN_VERSION "1.6.0")
set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
set(PIMCOMMON_LIB_VERSION "6.5.2")

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(SharedMimeInfo_MINIMUM_VERSION "1.10")
find_package(SharedMimeInfo ${SharedMimeInfo_MINIMUM_VERSION} REQUIRED)

find_package(Sasl2)
set_package_properties(Sasl2 PROPERTIES TYPE REQUIRED)

find_package(Qca-qt6 2.3.7 CONFIG REQUIRED)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Qt Cryptographic Architecture"
                   URL "https://invent.kde.org/libraries/qca" TYPE REQUIRED
                   PURPOSE "Needed for ews resource.")
option(KDEPIM_RUN_AKONADI_TEST "Enable autotest based on Akonadi." TRUE)
# QT package
find_package(Qt6TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
set_package_properties(Qt6TextToSpeech PROPERTIES DESCRIPTION
    "Add support for texttospeech"
    TYPE OPTIONAL
)
if(Qt6TextToSpeech_FOUND)
set(HAVE_TEXT_TO_SPEECH_SUPPORT TRUE)
endif()
find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Network Widgets Test DBus NetworkAuth Concurrent)
find_package(Qt6WebEngineWidgets ${QT_REQUIRED_VERSION} CONFIG)

# KF6 package
find_package(KF6Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ConfigWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6NotifyConfig ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6ItemModels ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WindowSystem ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Notifications ${KF_MIN_VERSION} CONFIG REQUIRED) # pop3, ews
find_package(KF6KCMUtils ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6DAV ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6Wallet ${KF_MIN_VERSION} CONFIG REQUIRED)

find_package(KF6TextCustomEditor ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)

# KdepimLibs package
find_package(KPim6Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementWidgets ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiContactWidgets ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KF6Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KPim6CalendarUtils ${CALENDARUTILS_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6IMAP ${KIMAP_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendar ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6AkonadiCalendarCore ${AKONADICALENDAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6GAPI ${KGAPI_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim6LdapWidgets ${KLDAP_LIB_VERSION} CONFIG REQUIRED)

find_package(KPim6PimCommonActivities ${PIMCOMMON_LIB_VERSION} CONFIG)
find_package(KPim6PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG)

find_package(Qt6Keychain ${QT6KEYCHAIN_LIB_VERSION} CONFIG)
set_package_properties(Qt6Keychain PROPERTIES
                                   DESCRIPTION "Provides support for secure credentials storage"
                                   URL "https://github.com/frankosterfeld/qtkeychain"
                                   TYPE REQUIRED)

option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.16.0)


option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)
add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

if(TARGET KPim6::PimCommonActivities)
	option(OPTION_USE_PLASMA_ACTIVITIES "Activate plasma activities" ON)
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            set(OPTION_USE_PLASMA_ACTIVITIES true)
        else()
            set(OPTION_USE_PLASMA_ACTIVITIES false)
        endif()
    endif()
    if(OPTION_USE_PLASMA_ACTIVITIES)
        if(NOT WIN32 AND NOT APPLE)
            find_package(PlasmaActivities "6.3.0")
            set_package_properties(PlasmaActivities PROPERTIES DESCRIPTION
                "Allow to compile with plasma activities"
                TYPE OPTIONAL
            )
        endif()

        if(TARGET Plasma::Activities)
            set(HAVE_ACTIVITY_SUPPORT TRUE)
        endif()
    endif()
endif()

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()
include_directories(${kdepim-runtime_SOURCE_DIR} ${kdepim-runtime_BINARY_DIR})
configure_file(config-kdepim-runtime.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kdepim-runtime.h)

add_subdirectory(resources)
add_subdirectory(agents)
add_subdirectory(defaultsetup)
add_subdirectory(kioworker)
add_subdirectory(migration)
add_subdirectory(kcms)
add_subdirectory(kmailtransport)
add_subdirectory(images)
## install the MIME type spec file for KDEPIM specific MIME types
install(FILES kdepim-mime.xml DESTINATION ${KDE_INSTALL_MIMEDIR})
update_xdg_mimetypes(${KDE_INSTALL_MIMEDIR})
ecm_qt_install_logging_categories(
        EXPORT KDEPIMRUNTIME
        FILE kdepim-runtime.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)

ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== images/CMakeLists.txt ===
foreach(_resource "apple" "citadel" "davical" "egroupware" "fastmail" "kopano" "mailboxorg" "nextcloud" "owncloud" "sogo" "yahoo" "zimbra" "zoho")
    ecm_install_icons(ICONS 128-apps-account-${_resource}.png  16-apps-account-${_resource}.png  32-apps-account-${_resource}.png 48-apps-account-${_resource}.png  64-apps-account-${_resource}.png DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor)
endforeach()

=== migration/gid/CMakeLists.txt ===
add_library(gidmigration STATIC)
target_sources(gidmigration PRIVATE
    gidmigrator.cpp
    gidmigrationjob.cpp
    gidmigrator.h
    gidmigrationjob.h
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(gidmigration PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(gidmigration
    migrationshared
    KF6::I18n
)

add_executable(gidmigrator main.cpp)
target_link_libraries(gidmigrator
    gidmigration
    KPim6::AkonadiWidgets
    KPim6::Mime
)
install(TARGETS gidmigrator ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== resources/birthdays/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_birthdays_resource\")

set(birthdayresource_common_SRCS)

kconfig_add_kcfg_files(birthdayresource_common_SRCS
    settings.kcfgc
)

set(birthdayresource_srcs
    birthdaysresource.cpp
    birthdaysresource.h
    ${birthdayresource_common_SRCS}
)


kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/birthdaysresource.kcfg org.kde.Akonadi.Birthdays.Settings)

qt_add_dbus_adaptor(birthdayresource_srcs
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.Birthdays.Settings.xml settings.h Settings
)

ecm_qt_declare_logging_category(birthdayresource_srcs HEADER birthdays_debug.h IDENTIFIER BIRTHDAYS_LOG CATEGORY_NAME org.kde.pim.birthdays
    DESCRIPTION "birthdays resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_birthdays
    EXPORT KDEPIMRUNTIME
)



add_executable(akonadi_birthdays_resource ${birthdayresource_srcs})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_birthdays_resource PROPERTIES UNITY_BUILD ON)
endif()

if(APPLE)
    set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../Info.plist.template)
    set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.Birthdays")
    set_target_properties(akonadi_birthdays_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi Birthdays Resource")
endif()

target_link_libraries(akonadi_birthdays_resource
    KPim6::AkonadiCore
    KF6::CalendarCore
    KPim6::AkonadiAgentBase
    KF6::Contacts
    KF6::I18n
    KF6::Codecs
)

install(TARGETS akonadi_birthdays_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES birthdaysresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")


############################# Config plugin ################################
kcoreaddons_add_plugin(birthdaysconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)
ki18n_wrap_ui(birthdaysconfig birthdaysconfigwidget.ui)
target_sources(birthdaysconfig PRIVATE
    birthdaysconfigagentwidget.cpp
    birthdaysconfigagentwidget.h
    ${birthdayresource_common_SRCS}
)

target_link_libraries(birthdaysconfig
    KPim6::AkonadiCore
    KF6::CalendarCore
    KF6::Contacts
    KPim6::AkonadiWidgets
    KF6::I18n
)

=== resources/folderarchivesettings/CMakeLists.txt ===
add_definitions(-DTRANSLATION_DOMAIN=\"libfolderarchivesettings\")

add_library(folderarchivesettings)
target_sources(folderarchivesettings PRIVATE
   folderarchivesettingpage.cpp
   folderarchivesettingpage.h

   folderarchiveutil.cpp
   folderarchiveutil.h

   folderarchiveaccountinfo.cpp
   folderarchiveaccountinfo.h

   folderarchivecombobox.h
   folderarchivecombobox.cpp

   folderarchivesettings_private_export.h
)

generate_export_header(folderarchivesettings BASE_NAME folderarchivesettings)
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(folderarchivesettings PROPERTIES UNITY_BUILD ON)
endif()

target_link_libraries(folderarchivesettings
PRIVATE
                      KPim6::Mime
                      KPim6::AkonadiCore
                      KPim6::AkonadiWidgets
                      KF6::ConfigCore
                      KF6::I18n
                      Qt::DBus
)

set_target_properties(folderarchivesettings PROPERTIES VERSION ${KDEPIMRUNTIME_LIB_VERSION} SOVERSION ${KDEPIMRUNTIME_LIB_SOVERSION})

install(TARGETS folderarchivesettings ${KDE_INSTALL_TARGETS_DEFAULT_ARGS} LIBRARY NAMELINK_SKIP)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

=== agents/newmailnotifier/autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

macro(add_newmailnotification_unittest _source)
    get_filename_component(_name ${_source} NAME_WE)
    ecm_add_test(${_source} ${_name}.h
        TEST_NAME ${_name}
        LINK_LIBRARIES newmailnotifier Qt::Test Qt::Core KPim6::AkonadiCore
)
endmacro()


add_newmailnotification_unittest(newmailnotificationhistorymanagertest.cpp)

=== resources/dav/resource/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Carl Schwan <carl@carlschwan.eu>

add_definitions(-DTRANSLATION_DOMAIN=\"akonadi_davgroupware_resource\")

set(davgroupwareresource_common_SRCS
    davprotocolattribute.cpp
    davprotocolattribute.h
    settings.cpp
    settings.h
    utils.cpp
    utils.h
)

ecm_qt_declare_logging_category(davgroupwareresource_common_SRCS HEADER davresource_debug.h IDENTIFIER DAVRESOURCE_LOG CATEGORY_NAME org.kde.pim.davresource
    DESCRIPTION "dav resource (kdepim-runtime)"
    OLD_CATEGORY_NAMES log_davresource
    EXPORT KDEPIMRUNTIME
)

kcfg_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/davgroupwareresource.kcfg org.kde.Akonadi.davGroupware.Settings)
qt_add_dbus_adaptor(davgroupwareresource_common_SRCS
    ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Akonadi.davGroupware.Settings.xml settings.h Settings
)
kconfig_add_kcfg_files(davgroupwareresource_common_SRCS settingsbase.kcfgc)

###### next target #####

if(WIN32)
    set(LIB_INSTALL_DIR ${KDE_INSTALL_LIBDIR}
        RUNTIME DESTINATION ${KDE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${KDE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${KDE_INSTALL_LIBDIR})
endif()

########### next target ###############

set(davgroupwareresource_SRCS
    ${davgroupwareresource_common_SRCS}
    daverror-kdepim-runtime.cpp
    akonadietagcache.cpp

    ctagattribute.cpp
    davfreebusyhandler.cpp
    davgroupwareresource.cpp
    daverror-kdepim-runtime.h
    akonadietagcache.h

    ctagattribute.h
    davfreebusyhandler.h
    davgroupwareresource.h
)

install(FILES davgroupwareresource.desktop DESTINATION "${KDE_INSTALL_DATAROOTDIR}/akonadi/agents")
install(FILES org.kde.akonadi_davgroupware_resource.desktop DESTINATION ${KDE_INSTALL_APPDIR})

file(GLOB providersFiles "../services/*.desktop")
install(FILES ${providersFiles} DESTINATION "${KDE_INSTALL_DATADIR}/akonadi/davgroupware-providers")

add_executable(akonadi_davgroupware_resource ${davgroupwareresource_SRCS})
if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(akonadi_davgroupware_resource PROPERTIES UNITY_BUILD ON)
endif()

if(APPLE)
    set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/../../Info.plist.template)
    set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_GUI_IDENTIFIER "org.kde.Akonadi.davGroupware")
    set_target_properties(akonadi_davgroupware_resource PROPERTIES MACOSX_BUNDLE_BUNDLE_NAME "KDE Akonadi davGroupware Resource")
endif()

target_link_libraries(akonadi_davgroupware_resource
    Qt::Xml
    KF6::I18n
    KF6::Contacts
    KF6::KIOCore
    KF6::CalendarCore
    KF6::ConfigCore
    KF6::DAV
    KPim6::AkonadiAgentBase
    KPim6::AkonadiCore
    KPim6::AkonadiCalendarCore
    qt6keychain
)

install(TARGETS akonadi_davgroupware_resource ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})


################################## Config plugin ##############################
kcoreaddons_add_plugin(davgroupwareconfig
    INSTALL_NAMESPACE "pim6/akonadi/config"
)

target_sources(davgroupwareconfig PRIVATE
    ${davgroupwareconfig_SRCS}
    ${davgroupwareresource_common_SRCS}
    davgroupwareconfig.cpp
    urlconfigurationdialog.cpp
    urlconfigurationdialog.h
    configwidget.cpp
    searchdialog.cpp
    setupwizard.cpp
    configwidget.h
    searchdialog.h
    setupwizard.h
)

ki18n_wrap_ui(davgroupwareconfig configwidget.ui urlconfigurationdialog.ui searchdialog.ui)

target_link_libraries(davgroupwareconfig PUBLIC
    KF6::Completion
    KF6::WidgetsAddons
    KF6::I18n
    KF6::CalendarCore
    KF6::Notifications
    KF6::DAV
    KF6::Service
    KF6::Contacts
    KPim6::AkonadiCore
    KPim6::AkonadiWidgets
    KPim6::AkonadiAgentBase
    qt6keychain
)

=== resources/kolab/autotests/CMakeLists.txt ===
#if the kimap project wasn't built with tests then we can't build anything in here
if(NOT TARGET KPim6::kimaptest6)
  message(STATUS "Warning: Unable to build the imap autotests since the kimap project did not build the kimaptest library. You need to rebuild kimap with the -DBUILD_TESTING=on option")
  return()
endif()
if(KDEPIM_RUN_AKONADI_TEST)
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})
set(KDEPIMLIBS_RUN_ISOLATED_TESTS TRUE)
set(KDEPIMLIBS_RUN_SQLITE_ISOLATED_TESTS TRUE)

MACRO(KOLAB_RESOURCE_ISOLATED_TESTS)
  FOREACH(_testname ${ARGN})
    include_directories(${CMAKE_CURRENT_SOURCE_DIR}/.. ${CMAKE_CURRENT_BINARY_DIR}/.. ../../imap/autotests/)
    add_akonadi_isolated_test_advanced(${_testname}.cpp "../../imap/autotests/dummypasswordrequester.cpp;../../imap/autotests/dummyresourcestate.cpp;../../imap/autotests/imaptestbase.cpp" "KPim6::IMAP;KPim6::kimaptest6;Qt::Test;imapresource;kolabresource;akonaditest;${Libkolab_LIBRARIES}")
    kde_enable_exceptions()
  ENDFOREACH(_testname)
ENDMACRO(KOLAB_RESOURCE_ISOLATED_TESTS)

KOLAB_RESOURCE_ISOLATED_TESTS (
  testretrievetagstask
  testchangeitemstagstask
)
endif()

=== resources/mixedmaildir/autotests/CMakeLists.txt ===
include(ECMAddTests)

if(${EXECUTABLE_OUTPUT_PATH})
    set(PREVIOUS_EXEC_OUTPUT_PATH ${EXECUTABLE_OUTPUT_PATH})
else()
    set(PREVIOUS_EXEC_OUTPUT_PATH .)
endif()
set(EXECUTABLE_OUTPUT_PATH ${CMAKE_CURRENT_BINARY_DIR})

kde_enable_exceptions()

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}/../
  ${CMAKE_CURRENT_BINARY_DIR}/../
  ${CMAKE_CURRENT_SOURCE_DIR}
)

# test data
set(testdata_SRCS
  ${testdata_generated_SRCS}
  testdatautil.cpp testdatautil.h
  ../mixedmaildir_debug.cpp
  testdata.qrc
)


add_executable(testdatatest testdatatest.cpp ${testdata_SRCS})
add_test(NAME testdatatest COMMAND testdatatest)
ecm_mark_as_test(mixedmaildir-testdatatest)

target_link_libraries(
  testdatatest
  Qt::Test
)

# put the libraries all tests link against into a variable and use it
# in target_link_libraries instead
set(common_link_libraries
  kmindexreader
  maildir
  akonadi-filestore
  KPim6::AkonadiMime
  KPim6::AkonadiCore
  KPim6::Mbox
  KPim6::Mime
  Qt::Test
  KF6::I18n
)

# test for overwritten methods
add_executable(templatemethodstest ../mixedmaildirstore.cpp templatemethodstest.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp)
add_test(NAME templatemethodstest COMMAND templatemethodstest)
ecm_mark_as_test(mixedmaildir-templatemethodtest)


target_link_libraries(
  templatemethodstest
  ${common_link_libraries}
)

# test for collection creation handling
add_executable(collectioncreatetest  ../mixedmaildirstore.cpp collectioncreatetest.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp)
add_test(NAME collectioncreatetest COMMAND collectioncreatetest)
ecm_mark_as_test(mixedmaildir-collectioncreatetest)


target_link_libraries(
  collectioncreatetest
  ${common_link_libraries}
)

# test for collection deletion handling
add_executable(collectiondeletetest   ../mixedmaildirstore.cpp collectiondeletetest.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp)
add_test(NAME collectiondeletetest COMMAND collectiondeletetest)
ecm_mark_as_test(mixedmaildir-collectiondeletetest)

target_link_libraries(
  collectiondeletetest
  ${common_link_libraries}
)

# test for collection fetching handling
add_executable(collectionfetchtest  ../mixedmaildirstore.cpp collectionfetchtest.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp)
add_test(NAME collectionfetchtest COMMAND collectionfetchtest)
ecm_mark_as_test(mixedmaildir-collectionfetchtest)


target_link_libraries(
  collectionfetchtest
  ${common_link_libraries}
)

# test for collection modification handling
add_executable(collectionmodifytest  ../mixedmaildirstore.cpp
 collectionmodifytest.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp
 ${testdata_SRCS}
)
add_test(NAME collectionmodifytest COMMAND collectionmodifytest)
ecm_mark_as_test(mixedmaildir-collectionmodifytest)


target_link_libraries(
  collectionmodifytest
  ${common_link_libraries}
)

# test for collection move handling
add_executable(collectionmovetest  ../mixedmaildirstore.cpp ../mixedmaildir_debug.cpp
 collectionmovetest.cpp ../mixedmaildirresource_debug.cpp
 ${testdata_SRCS}
)
add_test(NAME collectionmovetest COMMAND collectionmovetest)
ecm_mark_as_test(mixedmaildir-collectionmovetest)

target_link_libraries(
  collectionmovetest
  ${common_link_libraries}
)

# test for item creation handling
add_executable(itemcreatetest   ../mixedmaildirstore.cpp ../mixedmaildir_debug.cpp ../mixedmaildirresource_debug.cpp
 itemcreatetest.cpp
 ${testdata_SRCS}
)
add_test(NAME itemcreatetest COMMAND itemcreatetest)
ecm_mark_as_test(mixedmaildir-itemcreatetest)


target_link_libraries(
  itemcreatetest
  ${common_link_libraries}
)

# test for item creation handling
add_executable(itemdeletetest  ../mixedmaildirstore.cpp
 itemdeletetest.cpp ../mixedmaildirresource_debug.cpp
 ${testdata_SRCS}
)
add_test(NAME itemdeletetest COMMAND itemdeletetest)
ecm_mark_as_test(mixedmaildir-itemdeletetest)


target_link_libraries(
  itemdeletetest
  ${common_link_libraries}
)
#REACTIVATE IT
if(0)
# test for item retrieval handling
add_executable(itemfetchtest   ../mixedmaildirstore.cpp ../mixedmaildirresource_debug.cpp
 itemfetchtest.cpp
 ${testdata_SRCS}
)
add_test(NAME itemfetchtest COMMAND itemfetchtest)
ecm_mark_as_test(mixedmaildir-itemfetchtest)

target_link_libraries(
  itemfetchtest
  ${common_link_libraries}
)
endif()

# test for item modification handling
add_executable(itemmodifytest   ../mixedmaildirstore.cpp ../mixedmaildirresource_debug.cpp
 itemmodifytest.cpp
 ${testdata_SRCS}
)
add_test(NAME itemmodifytest COMMAND itemmodifytest)
ecm_mark_as_test( mixedmaildir-itemmodifytest)

target_link_libraries(
  itemmodifytest
  ${common_link_libraries}
)

# test for item move handling
add_executable(itemmovetest  ../mixedmaildirstore.cpp ../mixedmaildirresource_debug.cpp
 itemmovetest.cpp
 ${testdata_SRCS}
)
add_test(NAME itemmovetest COMMAND itemmovetest)
ecm_mark_as_test(mixedmaildir-itemmovetest)


target_link_libraries(
  itemmovetest
  ${common_link_libraries}
)

# test for store compact handling
add_executable(storecompacttest  ../mixedmaildirstore.cpp  ../mixedmaildirresource_debug.cpp
 storecompacttest.cpp
 ${testdata_SRCS}
)
add_test(NAME storecompacttest COMMAND storecompacttest)
ecm_mark_as_test(mixedmaildir-storecompacttest)


target_link_libraries(
  storecompacttest
  ${common_link_libraries}
)

=== resources/kolab/pimkolab/autotests/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DTEST_DATA_PATH="${CMAKE_CURRENT_SOURCE_DIR}")


macro(addTest TEST_NAME)
    add_executable(${TEST_NAME} ${TEST_NAME}.cpp ${TEST_NAME}.h)
    target_link_libraries(${TEST_NAME} Qt::Test kolab_static)
    add_test(${TEST_NAME} ${CMAKE_RUNTIME_OUTPUT_DIRECTORY}/${TEST_NAME})
endmacro()

add_executable(benchmarktest benchmark.cpp benchmark.h)
target_link_libraries(benchmarktest ${QT_QTTEST_LIBRARY} kolab_static)

# addTest(formattest) failing
# addTest(upgradetest) failing
# addTest(kcalconversiontest) failing
# addTest(calendaringtest) failing
addTest(icalendartest)
addTest(freebusytest)
# addTest(kolabobjecttest) failing
# addTest(timezonetest) failing
addTest(mimeobjecttest)
# addTest(xmlobjecttest) failing
addTest(debugstreamtest)
addTest(legacyformattest)

=== debian/changelog ===
kdepim-runtime (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:44:10 +0100

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               libakonadi-dev (>= 4:25.08.2~),
               libakonadicalendar-dev (>= 4:25.08.2~),
               libakonadicontact-dev (>= 4:25.08.2~),
               libakonadimime-dev (>= 4:25.08.2~),
               libboost-system-dev,
               libboost-thread-dev,
               libkcalendarutils-dev (>= 4:25.08.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6configwidgets-dev (>= 6.6.0~),
               libkf6contacts-dev (>= 6.6.0~),
               libkf6dav-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kcmutils-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6notifyconfig-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkgapi-dev (>= 25.08.2~),
               libkidentitymanagement-dev (>= 25.08.2~),
               libkimap-dev (>= 25.08.2~),
               libkldap-dev (>= 25.08.2~),
               libkmailtransport-dev (>= 25.08.2~),
               libkmbox-dev (>= 25.08.2~),
               libkmime-dev (>= 25.08.2~),
               libkolabxml-dev (>= 1.1~),
               libktextaddons-dev (>= 1.5.4~),
               libpimcommon-dev (>= 4:25.08.2~),
               libplasmaactivities-dev (>= 6.1.0~),
               libqca-qt6-dev (>= 2.3.7~),
               libsasl2-dev,
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-networkauth-dev (>= 6.7.0~),
               qt6-speech-dev (>= 6.7.0~),
               qt6-webengine-dev (>= 6.7.0~) [amd64 arm64 armhf i386],
               qtkeychain-qt6-dev (>= 0.14.2~),
               shared-mime-info (>= 1.8~),
               xsltproc,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kdepim-runtime
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdepim-runtime
Rules-Requires-Root: no

Package: kdepim-runtime
Architecture: amd64 arm64 armhf i386
Depends: akonadi-server,
         kio-ldap,
         kmailtransport-plugins,
         libsasl2-modules,
         libsasl2-modules-kdexoauth2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 The kres-bridges is also parts of this package.
 .
 This package is part of the kdepim-runtime module.

## kdepim-runtime 25.08.2+p24.04+vstable+git20251015.2019

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vstable+git20251015.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:19:47 +0000

kdepim-runtime (4:25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 04:50:56 +0000

=== debian/control ===
Source: kdepim-runtime
Section: x11
Priority: optional
Uploaders: Sune Vuorela <debian@pusling.com>,
           Fathi Boudra <fabo@debian.org>,
           Modestas Vainius <modax@debian.org>,
           George Kiagiadakis <kiagiadakis.george@gmail.com>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcmutils-dev,
               kf6-kcodecs-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcontacts-dev,
               kf6-kdav-dev,
               kf6-kdoctools,
               kf6-kholidays-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-ktextaddons-dev,
               kf6-ktextwidgets-dev,
               kf6-kwallet-dev,
               kf6-kwindowsystem-dev,
               kf6-prison-dev,
               kf6-syndication-dev,
               kpim6-akonadi-calendar-dev,
               kpim6-akonadi-contacts-dev,
               kpim6-akonadi-dev,
               kpim6-akonadi-mime-dev,
               kpim6-grantleetheme-dev,
               kpim6-kcalendarutils-dev,
               kpim6-kidentitymanagement-dev,
               kpim6-kimap-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmailtransport-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-kpimtextedit-dev,
               kpim6-libkdepim-dev,
               kpim6-libkgapi-dev,
               kpim6-pimcommon-dev,
               libboost-atomic-dev,
               libboost-dev (>= 1.40.0-2),
               libboost-program-options-dev,
               libetebase-dev,
               libkolabxml-dev,
               libqca-qt6-2-dev,
               pkg-kde-tools-neon,
               pkgconf,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-networkauth-dev,
               qt6-positioning-dev,
               qt6-scxml-dev,
               qt6-speech-dev,
               qt6-webchannel-dev,
               qt6-webengine-dev,
               qtkeychain-qt6-dev,
               shared-mime-info,
               xsltproc
Standards-Version: 4.6.2
Homepage: http://pim.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/kdepim-runtime.git
Vcs-Browser: https://invent.kde.org/neon/kde/kdepim-runtime
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-kdepim-runtime
Architecture: any
Depends: kpim6-akonadi,
         kpim6-kldap,
         kpim6-libkgapi,
         kpim6-libksieve,
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: kdepim-runtime
Description: runtime components for Akonadi KDE
 This package contains Akonadi agents written using KDE Development Platform
 libraries.
 Any package that uses Akonadi should probably pull this in as a dependency.
 .
 This package is part of the kdepim-runtime module.

Package: kdepim-runtime
Architecture: all
Depends: kpim6-kdepim-runtime, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

## kdepim-runtime 25.08.2+p24.04+vstable+git20251019.0835

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vstable+git20251019.0835-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 08:35:42 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

override_dh_auto_configure:
	dh_auto_configure -- -DCOMPILE_WITH_UNITY_CMAKE_SUPPORT=ON

## kdepim-runtime 25.08.2+p24.04+vunstable+git20251013.1156

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "6.5.2")
+set(PIM_VERSION "6.5.40")
 set(KDEPIM_RUNTIME_VERSION_NUMBER ${PIM_VERSION})
 project(kdepim-runtime VERSION ${KDEPIM_RUNTIME_VERSION_NUMBER})
 
-set(KDEPIM_DEV_VERSION)
-set(RELEASE_SERVICE_VERSION "25.08.2")
+set(KDEPIM_DEV_VERSION alpha)
+set(RELEASE_SERVICE_VERSION "25.11.70")
 
 # add an extra space
 if(DEFINED KDEPIM_DEV_VERSION)
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.14.0")
+set(KF_MIN_VERSION "6.17.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})
@@ -39,24 +39,25 @@
 
 set(KDEPIMRUNTIME_LIB_VERSION "${KDEPIM_RUNTIME_VERSION_NUMBER}")
 set(KDEPIMRUNTIME_LIB_SOVERSION "6")
-set(AKONADI_VERSION "6.5.2")
+set(AKONADI_VERSION "6.5.40")
 
-set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.2")
-set(KMAILTRANSPORT_LIB_VERSION "6.5.2")
-set(CALENDARUTILS_LIB_VERSION "6.5.2")
-set(KIMAP_LIB_VERSION "6.5.2")
-set(KMBOX_LIB_VERSION "6.5.2")
-set(AKONADICALENDAR_LIB_VERSION "6.5.2")
-set(KMIME_LIB_VERSION "6.5.2")
-set(AKONADIMIME_LIB_VERSION "6.5.2")
-set(AKONADICONTACT_LIB_VERSION "6.5.2")
-set(KGAPI_LIB_VERSION "6.5.2")
-set(KLDAP_LIB_VERSION "6.5.2")
-set(KTEXTADDONS_MIN_VERSION "1.6.0")
+set(IDENTITYMANAGEMENT_LIB_VERSION "6.5.40")
+set(KMAILTRANSPORT_LIB_VERSION "6.5.40")
+set(CALENDARUTILS_LIB_VERSION "6.5.40")
+set(KIMAP_LIB_VERSION "6.5.40")
+set(KMBOX_LIB_VERSION "6.5.40")
+set(AKONADICALENDAR_LIB_VERSION "6.5.40")
+set(KMIME_LIB_VERSION "6.5.42")
+set(AKONADIMIME_LIB_VERSION "6.5.40")
+set(AKONADICONTACT_LIB_VERSION "6.5.40")
+set(KGAPI_LIB_VERSION "6.5.40")
+set(KLDAP_LIB_VERSION "6.5.40")
+set(KTEXTADDONS_MIN_VERSION "1.8.0")
 set(QT6KEYCHAIN_LIB_VERSION "0.14.2")
-set(PIMCOMMON_LIB_VERSION "6.5.2")
+set(PIMCOMMON_LIB_VERSION "6.5.40")
 
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(SharedMimeInfo_MINIMUM_VERSION "1.10")
@@ -124,7 +125,7 @@
                                    TYPE REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.18.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

## kdepim-runtime 25.08.2+p24.04+vunstable+git20251015.2018

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251015.2018-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 20:18:28 +0000

## kdepim-runtime 25.08.2+p24.04+vunstable+git20251020.0717

=== CMakeLists.txt ===
--- 
+++ 
@@ -125,7 +125,7 @@
                                    TYPE REQUIRED)
 
 option(KDEPIM_RUN_ISOLATED_TESTS "Run the isolated tests." FALSE)
-ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.18.0)
+ecm_set_disabled_deprecation_versions(QT 6.7.2 KF 6.19.0)
 
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251020.0717-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 07:17:19 +0000

## kdepim-runtime 25.08.2+p24.04+vunstable+git20251021.0543

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251021.0543-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 05:43:35 +0000

## kdepim-runtime 25.08.2+p24.04+vunstable+git20251022.0219

=== CMakeLists.txt ===
--- 
+++ 
@@ -15,7 +15,7 @@
 
 configure_file(kdepim-runtime-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/kdepim-runtime-version.h @ONLY)
 
-set(KF_MIN_VERSION "6.17.0")
+set(KF_MIN_VERSION "6.18.0")
 
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${kdepim-runtime_SOURCE_DIR}/cmake/ ${ECM_MODULE_PATH})

=== debian/changelog ===
kdepim-runtime (4:25.08.2+p24.04+vunstable+git20251022.0219-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 22 Oct 2025 02:19:14 +0000
